<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Novic - {{usuario.get_full_name}} - Perfil</title>
    {% load static %}{% load mis_tags %}
    <link rel="shortcut icon" type="image/png" href="{% static 'media/favicon.ico' %}" />


    <link rel="stylesheet" href="{% static 'css/estilos.css' %}">
    <link rel="stylesheet" href="{% static 'css/fonticons.css' %}">
    <link rel="stylesheet" href="{% static 'css/login.css' %}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

    <script src="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>




    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </link>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
        crossorigin="anonymous">
    </link>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
    </link>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
    <style>
        @import url('https://fonts.googleapis.com/css?family=Nunito&display=swap');
    </style>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.2/min/tiny-slider.js"></script>
    <script>
        $(document).ready(function () {
            $('.navmain').removeClass('fixed-top')
            $('.navmain').addClass('navbar-dark');

            var vals = [{% for t in metools %}'{{t.tools_id}}'{% if forloop.last %}{%else%}, {% endif %} {% endfor %}];
        $('#selectTools').selectpicker('val', vals);
        var forms = document.getElementsByClassName('needs-validation');
        
        var validation = Array.prototype.filter.call(forms, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        });
        $(document).on('change', 'input[type="file"]', _changeimg);
        function _changeimg(evt) {
            var inp = $(this)
            var dt = evt.target;
            var files = dt.files;
            if (!files || files.length == 0) return;
            var file = files[0];
            var reader = new FileReader()
            reader.readAsDataURL(file)
            reader.onloadend = function () {
                var img = inp.closest('.imagedrop').find('img')
                img.attr('src', reader.result)
                img.css({ display: "block" });
                inp.closest('.imagedrop').find('.wrap').addClass('noafter')
            }
        }
    </script>
</head>

<body>
    {% include "core/navbar.html" %}
    <div class="container-fluid justify-content-center p-5 d-flex ">
        <div class="border border-dark rounded w-75">
            <form class="p-3 needs-validation" novalidate method="POST" id="IngresoFormulario"
                enctype="multipart/form-data" action="">
                {% csrf_token %}
                <div class="form-group">
                    <div class="imagedrop banner small">
                        <div class="wrap {% if usuario.imagen_banner.url %}noafter{% endif %}">
                            <img src="" {% if comic.imagen_banner.url %}style="display:block" {% endif %} />
                        </div>
                        <input type="file" accept="image/*" id="imagenBanner" name="imagenBanner" />
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md  p-2 ">
                        <div class="imagedrop usr rounded-circle mx-auto d-block">
                            <div class="wrap {% if usuario.imagen_usuario.url %}noafter{% endif %} mx-auto d-block">
                                <img class="rounded-circle" src="{{usuario.imagen_usuario.url}}"
                                    {% if usuario.imagen_usuario.url %}style="display:block" {% endif %} />
                            </div>
                            <input type="file" accept="image/*" id="imagen" name="imagen" />
                        </div>
                    </div>
                    <div class="form-group col-md-8  p-2">
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="txtUsuario">Nombre usuario</label>
                                <input type="text" class="form-control rounded-pill border border-dark bg-light"
                                    id="txtUsuario" name="txtUsuario" placeholder="" value="{{usuario.username}}" required/>
                                <div class="invalid-feedback">
                                    Ingrese nombre de usuario.
                                </div>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="txtMail">Email</label>
                                <input type="text" class="form-control rounded-pill border border-dark bg-light"
                                    id="txtMail" name="txtMail" placeholder="" value="{{usuario.email}}" required/>
                                <div class="invalid-feedback">
                                    Ingrese email.
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="txtPass">Contraseña</label>
                                <input type="password" class="form-control rounded-pill border border-dark bg-light"
                                    id="txtPass" name="txtPass" placeholder="" value="" />
                                <div class="invalid-feedback">
                                    Ingresa password.
                                </div>
                            </div>
                        </div>
                        <div class="container">
                            <div class="form-row">
                                <div class="form-group col-md  p-2">
                                    <label for="txtPrimerNombre">Nombre</label>
                                    <input type="text" class="form-control rounded-pill border border-dark bg-light"
                                        id="txtPrimerNombre" name="txtPrimerNombre" placeholder=""
                                        value="{{usuario.first_name}}" required/>
                                    <div class="invalid-feedback">
                                        Ingresa tu nombre.
                                    </div>
                                </div>
                                <div class="form-group col-md  p-2">
                                    <label for="txtSegundoNombre">Apellido</label>
                                    <input type="text" class="form-control rounded-pill border border-dark bg-light"
                                        id="txtSegundoNombre" name="txtSegundoNombre" placeholder=""
                                        value="{{usuario.last_name}}" required/>
                                    <div class="invalid-feedback">
                                        Ingresa tu apellido.
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md  p-2">
                                    <label for="cboPais">Pais</label>
                                    <select class="form-control rounded-pill border border-dark bg-light" id="cboPais"
                                        name="cboPais" required>
                                        <option value="">Seleccionar</option>
                                        {% for p in paises %}


                                        <option {% if p.id == usuario.pais.id %} selected {% endif %}
                                            value="{{ p.id }}">{{ p.nombre }}
                                        </option>




                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="form-group col-md  p-2">
                                    <label for="cboGenero">Genero</label>
                                    <select class="form-control rounded-pill border border-dark bg-light" id="cboGenero"
                                        name="cboGenero" required>
                                        <option value="">Seleccionar</option>
                                        {% for g in generos %}

                                        <option {% if g.id == usuario.genero.id %} selected {% endif %}
                                            value="{{ g.id }}">{{ g.nombre }}
                                        </option>


                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md p-2">
                                <label for="txtDescripcion">Sobre mí</label>
                                <textarea class="form-control rounded border border-dark bg-light" id="txtNotas"
                                    name="txtNotas" placeholder="">{{usuario.nota|default_if_none:""}}</textarea>
                                <small id="passwordHelpBlock" class="form-text text-muted">
                                    (Máximo 400 caracteres)
                                </small>
                            </div>
                        </div>
                        <h5 class="">Redes sociales</h5>
                        <div class="form-row py-1">
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-twitter"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtTwitter"
                                    name="txtTwitter" placeholder="Tu Twitter"
                                    value="{{info_add.link_twitter|default_if_none:""}}" />
                            </div>
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-instagram"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtInstagram"
                                    name="txtInstagram" placeholder="Tu Instagram"
                                    value="{{info_add.link_instagram|default_if_none:""}}" />
                            </div>

                        </div>
                        <div class="form-row py-1">
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-facebook"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtFacebook"
                                    name="txtFacebook" placeholder="Tu Facebook"
                                    value="{{info_add.link_facebook|default_if_none:""}}" />
                            </div>
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-linkedin"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtLinkedin"
                                    name="txtLinkedin" placeholder="Tu Linkedin"
                                    value="{{info_add.link_linkedin|default_if_none:""}}" />
                            </div>
                        </div>
                        <div class="form-row py-1">
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-pinterest"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtPinterest"
                                    name="txtPinterest" placeholder="Tu Pinterest"
                                    value="{{info_add.link_pinterest|default_if_none:""}}" />
                            </div>
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-tumblr"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtTumblr"
                                    name="txtTumblr" placeholder="Tu Tumblr"
                                    value="{{info_add.link_tumblr|default_if_none:""}}" />
                            </div>
                        </div>
                        <div class="form-row py-1">
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-youtube"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtYoutube"
                                    name="txtYoutube" placeholder="Tu Youtube"
                                    value="{{info_add.link_youtube|default_if_none:""}}" />
                            </div>
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-deviantart"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtDeviantart"
                                    name="txtDeviantart" placeholder="Tu Deviantart"
                                    value="{{info_add.deviantart|default_if_none:""}}" />
                            </div>

                        </div>
                        <div class="form-row py-1">
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-dribbble"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtArtstation"
                                    name="txtArtstation" placeholder="Tu Artstation"
                                    value="{{info_add.link_artstation|default_if_none:""}}" />
                            </div>
                            <div class="input-group col">
                                <div class="input-group-prepend">
                                    <span class="input-group-text" id=""><i class="fic-link"></i></span>
                                </div>
                                <input type="text" class="form-control border border-dark bg-light" id="txtArtstation"
                                    name="txtArtstation" placeholder="Tu Web"
                                    value="{{info_add.link_my_web|default_if_none:""}}" />
                            </div>
                        </div>
                        <h5 class="pt-2">Herramientas que usas</h5>
                        <div class="form-group col-md p-2">

                            <div class="select-gen-filt input-group w-100">
                                <select multiple data-style="form-control rounded-pill border border-dark bg-light "
                                    class="selectpicker  w-100" data-none-selected-text="Seleccionar" id="selectTools"
                                    name="t[]">
                                    {% for t in tools %}
                                    <option value="{{t.id}}">{{ t.nombre }}</option>
                                    {% endfor %}

                                </select>

                            </div>

                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md p-2">
                        <div class="mr-3 mt-2 d-inline-block position-relative" style="left:80%">
                            <a role="button" href="{% url 'perfil_usuario' user.id %}"
                                class="btn btn-secondary ">Volver</a>
                            <button type="submit" class="btn btn-primary ">Guardar cambios</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>


</body>

</html>